Subject: Re: bug#31929: [PATCH] Install emacs-module.h (Bug#31929)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Oct 2018 13:19:24 +0300

> From: Glenn Morris <[email-masked]>
> Date: Wed, 03 Oct 2018 16:51:04 -0400
> Cc: [email-masked], [email-masked]
> 
> After the fact, I'm wondering if this should obey the EMACS_NAME
> transformation? My initial feeling is, yes.

I'm not sure.  If we edit the name, a given module couldn't be
compiled against differently-named Emacs distributions, which I think
is undesirable.  Also, compiling a module inside the Emacs tree and
outside it will need source-level changes to support both.  Lastly, we
name the file explicitly in the documentation.